hdf5-1.8.15: Haskell interface to the HDF5 scientific data storage library.

Safe Haskell | None
Language | Haskell2010

Bindings.HDF5.Raw.H5FD.StdIO

Synopsis

- h5fd_STDIO :: HId_t
- h5fd_stdio_init :: IO HId_t
- p_H5FD_stdio_init :: FunPtr (IO HId_t)
- h5p_set_fapl_stdio :: HId_t -> IO HErr_t
- p_H5Pset_fapl_stdio :: FunPtr (HId_t -> IO HErr_t)

# Documentation

h5fd_STDIO :: HId_t Source #

h5fd_stdio_init :: IO HId_t Source #

Initialize this driver by registering the driver with the library.

    hid_t H5FD_stdio_init(void);

p_H5FD_stdio_init :: FunPtr (IO HId_t) Source #

h5p_set_fapl_stdio :: HId_t -> IO HErr_t Source #

Modify the file access property list to use the H5FD_STDIO driver. There are no driver-specific properties.

herr_t H5Pset_fapl_stdio(hid_t fapl_id);

p_H5Pset_fapl_stdio :: FunPtr (HId_t -> IO HErr_t) Source #